curl -X POST 'https://foodsoul.pro/api/crm/v2/invoices.update' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: cs' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":21347,"type":"accrual"}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.pro/api/crm/v2/invoices.update', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'cs',
'role' => 'partner',
],
'json' => [
'id' => 21347,
'type' => 'accrual',
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.pro/api/crm/v2/invoices.update", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "cs",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": 21347,
"type": "accrual"
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.pro/api/crm/v2/invoices.update",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "cs",
"role": "partner",
},
json={
"id": 21347,
"type": "accrual",
},
)
data = response.json()
Odpověď 200
{
"status": "success",
"data": {}
}
Žádosti jsou odesílány na foodsoul.pro — to je hostitel tohoto portálu, jiný vybrat nelze.